# TODO
# - make ruby bindings use -base lib?
#
# Conditional build:
%bcond_without	python	# build python bindings
%bcond_without	ruby	# build ruby bindings

%define		snap	20090807
%define		rel		9
Summary:	Library for parsing RCS files
Summary(pl.UTF-8):	Moduł do analizy plików RCS
Name:		rcsparse
Version:	0.1
Release:	0.%{snap}.%{rel}
License:	BSD
Group:		Libraries
Source0:	http://ww2.fs.ei.tum.de/~corecode/hg/rcsparse/archive/tip.tar.bz2?/%{name}.tbz2
# Source0-md5:	360ad1d3e0410d30abea710ce758c396
Patch0:		ruby19.patch
URL:		http://ww2.fs.ei.tum.de/~corecode/hg/rcsparse/
BuildRequires:	libtool
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%endif
%if %{with ruby}
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.8
BuildRequires:	ruby-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for parsing RCS files.

%package devel
Summary:	Header files and develpment documentation for rcsparse
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and develpment documentation for rcsparse.

%package -n python-rcsparse
Summary:	rcsparse Python bindings
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python

%description -n python-rcsparse
rcsparse Python bindings.

%package -n ruby-rcsparse
Summary:	rcsparse Ruby bindings
Group:		Development/Languages
%{?ruby_mod_ver_requires_eq}
# does not link with base
#Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n ruby-rcsparse
rcsparse Ruby bindings.

%prep
%setup -qc
mv %{name}-*/* .
%patch0 -p1

%build
libtool --tag=CC --mode=compile %{__cc} %{rpmcppflags} %{rpmcflags} -fPIC -shared -c rcsparse.c
libtool --tag=CC --mode=link %{__cc} %{rpmldflags} %{rpmcflags} -shared -o librcsparse.la -rpath %{_libdir} rcsparse.lo

%if %{with python}
libtool --tag=CC --mode=compile %{__cc} %{rpmcppflags} %{rpmcflags} -I%{py_incdir} -shared -c py-rcsparse.c
libtool --tag=CC --mode=link %{__cc} %{rpmldflags} %{rpmcflags} -avoid-version -module -shared -o rcsparse.la -rpath %{py_sitedir} py-rcsparse.lo librcsparse.la
%endif

%if %{with ruby}
%{__ruby} extconf.rb \
	--vendor
%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{py_sitedir},%{_includedir}/%{name}}
libtool --mode=install install -p -c librcsparse.la $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_libdir}/librcsparse.a
cp -p *.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%if %{with python}
libtool --mode=install install -p -c rcsparse.la $RPM_BUILD_ROOT%{py_sitedir}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/rcsparse.la
rm -f $RPM_BUILD_ROOT%{py_sitedir}/rcsparse.a
%endif

%if %{with ruby}
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT
%attr(755,root,root) %{_libdir}/librcsparse.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librcsparse.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librcsparse.so
%{_libdir}/librcsparse.la
%{_includedir}/%{name}

%if %{with python}
%files -n python-rcsparse
%defattr(644,root,root,755)
%doc testmodule.py
%attr(755,root,root) %{py_sitedir}/rcsparse.so
%endif

%if %{with ruby}
%files -n ruby-rcsparse
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/rcsfile.so
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rcsparse.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> b63e1cc
- release 9 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> e07f203
- rebuild with ruby 2.4
- release 8 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> b71f51f
- rebuild with ruby 2.3
- release 7 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 627615e
- ruby 2.1 rebuild
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 217b55f
- release 5 (by relup.sh)

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> a00ea09
- x32 rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 39910f8
- ruby 2.0 rebuild
- release 3 (by relup.sh)

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> c55028a
- build ruby to vendordir

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> fcf17f4
- ruby build deps

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> b6c9237
- ruby patch is actually ruby18 compatible too

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> 06a9191
- add patch to build with ruby19

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> 7dd1b55
- up to 20090807 snap
- add ruby package (builds with 1.8)

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> 0cc3dda
- pedantic hint taken from samchi, adding %{rpmcflags} to linker

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> ea15989
- verbose files

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> 2450332
- don't package setup.py

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> 3c7ea39
- libtool --tag=CC, cosmetics

* Sun Apr 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cf16a3e
- md5

* Sun Apr 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b5bc12e
- example added, files fixes

* Sun Apr 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 729bbe8
- initial

